Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Tue, 22 Jul 2025 19:56:05 +0200

Eli Zaretskii, le mar. 22 juil. 2025 16:24:47 +0300, a ecrit:
> > From: Samuel Thibault <[email-masked]>
> > Eli Zaretskii, le mar. 22 juil. 2025 15:03:52 +0300, a ecrit:
> > > Of course, specially-tailored cases could be concocted which show the
> > > contrary, but that's not what this code is about.  The request in this
> > > bug report, AFAIU, was to disable the use of TABs _in_all_cases_,
> > 
> > No.
> > 
> > “
> > Quoting Samuel: "Emacs, instead of sending a rightward cursor movement
> > (\e[C), sends \009\008 (a tabulation and a leftward cursor movement)"
> > 
> > This char insertion problem confuses assistive technologies for the
> > visually impaired.
> > ”
> 
> We are mis-communicating.  When I said "in all cases", I meant even
> when TABs do not cause any problems and/or when screen-reading
> software is not used at all.

But we were talking about my benchmark moving only by one character
(where the optimization loses) vs moving by 8 characters (where it
most probably wins since that's 8 interpretations and 8 bytes vs 1
interpretation and 1 byte).

The discussion was not about it being a default for everybody or not.

> > I don't remember really asking for more than that.
> 
> A reminder from https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78474#77

Yes, and I do agree with really asking for that one: we don't want to
put the burden of configuration on people who already have a hard time
using computers.

Samuel